petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetValuesRowLocal

Inserts a row (block row for BAIJ matrices) of nonzero values into a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetValuesRowLocal(Mat mat,PetscInt row,const PetscScalar v[])

Not Collective Many br

### Input Parameters

| mat | - the matrix Many br
| row | - the (block) row to set Many br
| v | - a logically two-dimensional array of values Many br

### Notes

By the values, v, are column-oriented (for the block version) and sorted Many br

All the nonzeros in the row must be provided Many br

The matrix must have previously had its column indices set Many br

The row must belong to this process Many br

Many br

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal(),
InsertMode, INSERT_VALUES, ADD_VALUES, MatSetValues(), MatSetValuesRow(), MatSetLocalToGlobalMapping() Many br

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages